The NetBSD Project

CVS log for pkgsrc/www/ruby-sass/distinfo

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / www / ruby-sass

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.23 / (download) - annotate - [select for diffs], Sun Feb 24 16:18:52 2019 UTC (3 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, HEAD
Changes since 1.22: +5 -5 lines
Diff to previous 1.22 (colored)

www/ruby-sass: update to 3.7.3

3.7.3 (4 January 2019)

* Emit escaped tab characters in identifiers as \9 rather than a backslash followed by a literal tab.

3.7.2 (8 November 2018)

* Fix more escaped-whitespace edge cases.

3.7.1 (7 November 2018)

* Properly handle escaped whitespace and other unusual characters.

3.7.0 (6 November 2018)

* Add support for CSS's min() and max() math functions. A min() and max() call will continue to be parsed as a Sass function if it involves any Sass-specific features like variables or function calls, but if it's valid plain CSS (optionally with interpolation) it will be emitted as plain CSS instead.

  See the proposal for details.

* Add support for range-format media features like (10px < width < 100px). See the proposal for details.
* Normalize escape codes in identifiers so that, for example, lair and \E9clair are parsed to the same value. See the proposal for details.

Backwards Incompatibilities -- Must Read!

* Percentages passed as $alpha arguments to rgba() and hsla() are now interpreted according to the spec, and all other units are disallowed.

3.6.0 (19 September 2018)

* Add support for importing an _index.scss or _index.sass file when importing a directory.

Backwards Incompatibilities -- Must Read!

* Tokens such as #abcd that are ambiguous between ID strings and hex colors with an alpha channel are now parsed as colors.

3.5.7 (18 July 2018)

* Add a post-install message indicating that Ruby Sass is deprecated.
* Properly emit an error when an empty block is passed to a mixin that doesn't use @content.

3.5.6 (22 March 2018)

* Allow ! in custom property values.

* var() may now be passed in place of multiple arguments to rgb(), rgba(), hsl() and hsla().
* Don't crash on custom properties that aren't followed by semicolons.
* Don't crash when normalizing numbers with complex units.
* Don't crash on $x % 0.

3.5.5 (4 January 2018)

* Emit a warning when && is used, since it's probably not what the user means.
* Add a suggested replacement for extended compound selectors.
* Fix a bug where an unparseable selector produced an unuseful error.

3.5.4 (15 December 2017)

* round() now returns the correct results for negative numbers that should round down.

* Avoid thread-unsafely modifying $stderr.

3.5.3 (26 October 2017)

* Generate correct source maps for map literals.

3.5.2 (4 October 2017)

* Properly parse CSS variables that begin with interpolation (for example, --#{$foo}: ...).

3.5.1 (13 July 2017)

* Avoid conflicts with the listen gem.

3.5.0 (12 July 2017)

* Default to ten digits of numeric precision.
* Combine ids and :root when unifying selectors with @extend and selector functions.
* It's no longer an error to @extend a selector that exists in the stylesheet, but for which unification fails.
* Add a $weight parameter to invert().
* The last argument in an argument list can now have a trailing comma.
* Allow var() to be passed to rgb(), rgba(), hsl(), and hsla().
* Add support for the ::slotted() pseudo-element.
* Add support for CSS's grid template areas and named lines. We support this syntax through a new type of list called a "bracketed list". Bracketed lists can be created by wrapping a list with square brackets. For example: [this is bracketed] and [this, is, also, bracketed]. Bracketed lists will output their square brackets when used as a CSS value. Bracketed lists may be either space-separated or comma-separated. The is-bracketed() function, when passed a list will return a boolean indicating whether that list will output with brackets. The join() function now accepts a $bracketed parameter that controls whether the returned list has brackets.
* A new function content-exists() will return true when called within a mixin that was passed content for use by the @content directive.
* Passing a string to call($function-name, $args...) indicating which function to invoke is now deprecated. Instead pass a function reference returned from get-function($function-name). This allows function name resolution to be performed in the correct lexical context and then invoked in a different context. This is required so that the module-based resolver in Sass 4.0 will invoke the correct function when calling across module boundaries. Developers of frameworks that use call should not do the function lookup for callers of their framework; this is likely to result in a situation where the framework cannot resolve the function in 4.0.
* Values that can be interpreted as hex colors with alpha channels and also as ID values, such as #abcd, now emit deprecation warnings in preparation for being parsed differently Sass 3.6. They were previously parsed as strings, and in 3.6 they will be parsed as colors instead.
* Pseudo selectors that take arguments now allow any [<declaration-value>][declaration-value] production in their argument list. This will provide better forwards-compatibility for future CSS syntax.
* Pseudo selectors that take selectors as arguments will no longer always be eliminated if they contain placeholder selectors that aren't extended. Instead, they'll be reduced to valid CSS selectors if possible.
* Generated transparent colors will now be emitted as rgba(0, 0, 0, 0) rather than transparent. This works around a bug wherein IE incorrectly handles the latter format.
* The indented syntax now allows different indentation to be used for different lines, as long as they define a consistent tree structure.

Backwards Incompatibilities -- Must Read!

* The way CSS variables are handled has changed to better correspond to the CSS spec. They no longer allow arbitrary SassScript in their values; instead, almost all text in the property values will be passed through unchanged to CSS. The only exception is #{}, which will inject a SassScript value as before.

Revision 1.22 / (download) - annotate - [select for diffs], Mon Jun 5 15:39:59 2017 UTC (23 months, 3 weeks ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-
Changes since 1.21: +5 -5 lines
Diff to previous 1.21 (colored)

Update ruby-sass to 3.4.24.

3.4.24 (18 May 2017)

* Elements without a namespace (such as div) are no longer unified with
  elements with the empty namespace (such as |div). This unification didn't
  match the results returned by is-superselector(), and was not guaranteed to
  be valid.

Revision 1.21 / (download) - annotate - [select for diffs], Mon Mar 20 16:04:57 2017 UTC (2 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1
Changes since 1.20: +5 -5 lines
Diff to previous 1.20 (colored)

Update ruby-sass to 3.4.23.

3.4.23 (19 December 2016)

* The Sass logger is now instantiated on a per-thread/per-fiber basis and can
  now be configured to output to any IO object. This can help services and
  processes that wrap Sass compilation reliably extract warnings in a
  concurrent environment.

* Setting the numeric precision by assigning to
  Sass::Script::Value::Number.precision is now thread safe. To set for all
  threads, be sure to set the precision on the main thread.

* Sass cache files will now be world and group writable if your umask allows
  it. Issue #1623

* The supports(...) clause in @import statements now allows bare declarations
  as per the CSS specification. Issue #1967

* Fix a bug where, under some circumstances, str-slice() would go to the end
  of the string even if $end-at was set.

* Fix conversions between numbers with dpi, dpcm, and dppx units. Previously
  these conversions were inverted.

* Support url()s containing quoted strings within unknown directives.

Revision 1.20 / (download) - annotate - [select for diffs], Tue Oct 18 16:18:36 2016 UTC (2 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2016Q4-base, pkgsrc-2016Q4
Changes since 1.19: +5 -5 lines
Diff to previous 1.19 (colored)

Update ruby-sass to 3.4.22.

3.4.22 (28 March 2016)

    * Sass now runs without warnings when running ruby with code style
      warnings enabled.

    * Sass no longer watches the current working directory unless it is on
      the load path or the files being compiled are in the current working
      directory. This was causing performance issues for users with large
      numbers of files in their project directory. Issue #1562, Issue #1966,
      Issue #2006.

    * sass-convert now accepts a -q and --quiet option to disable ouput
      while it is running.

    * Fixed a bug in sass-convert when recursively processing CSS files into
      Sass files which caused the process to crash without processing any
      files. Issue #1827,

Deprecation Must Read!

    * Support for Ruby 1.8.7 and 1.9.3 is deprecated. See this blog post for
      details.

    * The current handling of CSS variables is deprecated. In order to
      support the CSS spec as fully as possible, no Sass-specific constructs
      other than #{} will be supported in CSS variable values. For
      forwards-compatibility, any SassScript being used in CSS variables
      must be moved into #{}.

Revision 1.19 / (download) - annotate - [select for diffs], Tue Mar 15 16:22:46 2016 UTC (3 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.18: +5 -5 lines
Diff to previous 1.18 (colored)

Update ruby-sass to 3.4.21.

3.4.21 (11 January 2016)

This is a bug fix release.

* Consistent output formatting for numbers close to an integer.
  Issue #1931

* Correctly round negative numbers that were almost but not quite a whole
  number (slightly greater than the negative number).
  Issue #1938

* Don't strip escaped semicolons from compressed output.
  Issue #1932

* Only compress around dashes within nth selectors.
  Issue #1933

* Selector compression of whitespace around commas was affecting attribute
  values.
  Issue #1947

* Make subtraction work when a unit is followed directly by a hyphen and then
  a period. For example, 1em-.75em now returns 0.25em rather than
  1em-0.75em. This is consistent with the behavior when the subtrahend begins
  with a 0.
  Issue #1954

Revision 1.18 / (download) - annotate - [select for diffs], Sun Dec 13 16:14:53 2015 UTC (3 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.17: +5 -5 lines
Diff to previous 1.17 (colored)

Update ruby-sass to 3.4.20.

3.4.20 (09 December 2015)

* Fix a bug with the rounding changes from 3.4.14 and 3.4.15 where some
  negative numbers would incorrectly be rounded up instead of down.
* Better compression for :nth pseudoselectors with subtraction. Issue #1650
* Add support for the new supports() clause for CSS @import directives.
* Rounding numbers now respects Sass precision setting for numbers very
  close to half an integer.
* Add support for the q unit, representing one quarter of a millimeter.
* Mitigate a race condition when multiple threads are using the same
  Sass::Plugin object at once.
* In compressed mode, numbers between -1 and 1 now have the leading 0 omitted.
* Source maps now include source ranges for comments.

Deprecation Must Read!

Certain ways of using #{} without quotes in property and variable values have
been deprecated in order to simplify the feature.

Currently, #{} behaves unpredictably. If it used near operators, it will
cause those operators to become part of an unquoted string instead of having
their normal meaning. This isn an especially useful feature, and it makes
it hard to reason about some code that includes #{}, so wee getting rid of
it.

In the new world, #{} just returns an unquoted string that acts like any other
unquoted string. For example, foo + #{$var} will now do the same thing as foo
+ $var, instead of doing the same thing as unquote("foo + #{$var}").

In order to ease the transition, Sass will now emit deprecation warnings for
all uses of #{} that will change behavior in 4.0. We don anticipate many
warnings to appear in practice, and you can fix most of them automatically by
running sass-convert --in-place on the affected files.

For more details, see the blog post on the deprecation and the GitHub issue in
which it was planned.

Revision 1.17 / (download) - annotate - [select for diffs], Wed Nov 4 02:47:37 2015 UTC (3 years, 6 months ago) by agc
Branch: MAIN
Changes since 1.16: +2 -1 lines
Diff to previous 1.16 (colored)

Add SHA512 digests for distfiles for www category

Problems found locating distfiles:
	Package haskell-cgi: missing distfile haskell-cgi-20001206.tar.gz
	Package nginx: missing distfile array-var-nginx-module-0.04.tar.gz
	Package nginx: missing distfile encrypted-session-nginx-module-0.04.tar.gz
	Package nginx: missing distfile headers-more-nginx-module-0.261.tar.gz
	Package nginx: missing distfile nginx_http_push_module-0.692.tar.gz
	Package nginx: missing distfile set-misc-nginx-module-0.29.tar.gz
	Package nginx-devel: missing distfile echo-nginx-module-0.58.tar.gz
	Package nginx-devel: missing distfile form-input-nginx-module-0.11.tar.gz
	Package nginx-devel: missing distfile lua-nginx-module-0.9.16.tar.gz
	Package nginx-devel: missing distfile nginx_http_push_module-0.692.tar.gz
	Package nginx-devel: missing distfile set-misc-nginx-module-0.29.tar.gz
	Package php-owncloud: missing distfile owncloud-8.2.0.tar.bz2

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.

Revision 1.16 / (download) - annotate - [select for diffs], Sun Sep 13 15:45:45 2015 UTC (3 years, 8 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3
Changes since 1.15: +4 -4 lines
Diff to previous 1.15 (colored)

Update ruby-sass to 3.4.18.

3.4.17 (21 August 2015)

* Allow passing calc values to rgb/hsl color constructors.
* The source map end character for lists now correctly uses the end of the
  list instead of the end of the first element in the list.
* Fix up some edge cases where extra semicolons could be added to unknown
  directives in compressed mode.
* If you try to do a stupid color operation with a stupid value, the error
  message will now be less stupid than it was.
* Make is-superselector("a > c d", "a > b c d") return false. This also fixes
  some related @extend behavior.
* A / in a parenthesized list is consistently treated as a plain / unless it
  meets the criteria for being treated as division.
* In sass-convert, ensure that literal /es are preserved.

3.4.16 (10 July 2015)

* When converting from Sass to SCSS or vice versa, double-space around nested
  rules the same as around top-level rules.
* Compatibility with listen 3.
* Parse a minus operator with no surrounding whitespace (e.g. 20px-10px) the
  same regardless of whether it being used in a static property.

3.4.15 (22 June 2015)

* Further improve rounding for various numeric operations.
* Be more explicit in the function documentation about functions being
  immutable.
* Improve rounding in operator-based color operations.

Deprecations Must Read!

* When using --stdin with the sass or scss executables, importing relative to
  the working directory is deprecated. Having the working directory on the
  load path was deprecated in 3.3 and removed in 3.4, but due to an oversight
  the deprecation process never happened for files read over standard input in
  particular. This is the first step of that process.

Revision 1.15 / (download) - annotate - [select for diffs], Thu Jun 11 17:01:41 2015 UTC (3 years, 11 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.14: +4 -4 lines
Diff to previous 1.14 (colored)

Update ruby-sass to 3.4.14.

3.4.14 (22 May 2015)

* Further avoid race conditions when caching.
* Only emit one warning for each line that uses the deprecated form of
  unquote().
* Stop parsing and emitting invalid @supports directives.
* Add a deprecation warning for using != to compare a number with units to a
  number without. Such a warning already existed for ==.
* Improve rounding of the results of color operations.

Revision 1.14 / (download) - annotate - [select for diffs], Fri Mar 13 17:39:51 2015 UTC (4 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.13: +4 -4 lines
Diff to previous 1.13 (colored)

Update ruby-sass to 3.4.13.

* pkgsrc change: add pkg_alternatives support.

Changes are too many to write here, please refer
http://sass-lang.com/documentation/file.SASS_CHANGELOG.html.

Revision 1.13 / (download) - annotate - [select for diffs], Fri Mar 14 18:49:47 2014 UTC (5 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2, pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.12: +4 -4 lines
Diff to previous 1.12 (colored)

Update ruby-sass to 3.2.15

3.2.15 (7 March 2014)

* Support &.foo when the parent selector has a newline followed by a comma.

3.2.14 (24 January 2014)

* Don't crash when parsing a directive with no name in the indented syntax.
* Clean up file paths when importing to avoid errors for overlong path names.
* Parse calls to functions named true, false, and null as function calls.
* Don't move CSS @imports to the top of the file unless it's necessary.

3.2.13 (19 December 2013)

* Numbers returned by user-defined functions now trigger division, just like
  numbers stored in variables.
* Support importing files in paths with open brackets.
* Fix sass-convert's handling of rules with empty bodies when converting from
  CSS.
* Fix CSS imports using url() with a quoted string and media queries.

3.2.12 (4 October 2013)

* Add a couple missing requires, fixing some load errors, especially when
  using the command-line interface.
* Tune up some heuristics for eliminating redundant generated selectors. This
  will prevent some selector elimination in cases where multi-layered @extend
  is being used and where it seems intuitively like selectors shouldn't be
  eliminated.

3.2.11 (27 September 2013)

* Fix @extend's semantics with respect to pseudo-elements. They are no longer
  treated identically to pseudo-classes.
* A more understandable error is now provided when the -E option is passed to
  the Sass command line in ruby 1.8
* Fixed a bug in the output of lists containing unary plus or minus operations
  during sass <=> scss conversion.
* Avoid the IE7 content: counter bug with content: counters as well.
* Fix some thread-safety issues.

Revision 1.12 / (download) - annotate - [select for diffs], Sun Sep 15 18:05:37 2013 UTC (5 years, 8 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.11: +4 -4 lines
Diff to previous 1.11 (colored)

Update ruby-sass to 3.2.10.

3.2.10

* Use the Sass logger infrastructure for @debug directives.
* When printing a Sass error into a CSS comment, escape */ so the comment
  doesnt end prematurely.
* Preserve the ! in /*! ... */-style comments.
* Fix a bug where selectors were being incorrectly trimmed when using @extend.
* Fix a bug where sass --unix-newlines and sass-convert --in-place are not
  working on Windows (thanks SATO Kentaro).

3.2.9

* Fix a bug where @extends would occasionally cause a selector to be generated
  with the incorrect specificity.
* Avoid loading listen v1.0, even if its installed as a Gem (see issue 719).
* Update the bundled version of listen to 0.7.3.
* Automatically avoid the IE7 content: counter bug.

3.2.8

* Fix some edge cases where redundant selectors were emitted when using @extend.
* Fix a bug where comma-separated lists with interpolation could lose elements.
* Fix a bug in sass-convert where lists being passed as arguments to functions
  or mixins would lose their surrounding parentheses.
* Fix a bug in sass-convert where null wasnt being converted correctly.
* Fix a bug where multiple spaces in a string literal would sometimes be
  folded together.
* sass and sass-convert wont create an empty file before writing to it. This
  fixes a flash of unstyled content when using LiveReload and similar tools.
* Fix a case where a corrupted cache could produce fatal errors on some
  versions of Ruby.
* Fix a case where a mixin loop error would be incorrectly reported when using
  @content.

Revision 1.11 / (download) - annotate - [select for diffs], Thu Mar 14 16:23:19 2013 UTC (6 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1
Changes since 1.10: +4 -4 lines
Diff to previous 1.10 (colored)

Update ruby-sass to 3.2.7.

3.2.7

* The index and zip functions now work like all other list functions and treat
  individual values as single-element lists.
* Avoid stack overflow errors caused by very long function or mixin argument
  lists.
* Emit relative paths when using the --line-comments flag of the sass
  executable.
* Fix a case where very long numbers would cause the SCSS parser to take
  exponential time.

3.2.6

* Support for Rubinius 2.0.0.rc1. All tests pass in 1.8 mode. 1.9 mode has
  some tests blocked on Rubinius issue 2139.
* Support for JRuby 1.7.2.
* Support for symlinked executables. Thanks to Yin-So Chen.
* Support for bubbling @supports queries in the indented syntax.
* Fix an incorrect warning when using @extend from within nested @media
  queries.
* Update the bundled version of listen to 0.7.2.

Revision 1.10 / (download) - annotate - [select for diffs], Mon Feb 11 14:47:00 2013 UTC (6 years, 3 months ago) by taca
Branch: MAIN
Changes since 1.9: +4 -4 lines
Diff to previous 1.9 (colored)

Update ruby-sass to 3.2.5.

3.2.5

* Fix a bug where bogus @extend warnings were being generated.
* Fix an @import bug on Windows. Thanks to Darryl Miles.
* Ruby 2.0.0-preview compatibility. Thanks to Eric Saxby.
* Fix incorrect line numbering when using DOS line endings with the indented
  syntax.

3.2.4

* Fix imports from .jar files in JRuby. Thanks to Alex Hvostov.
*  Allow comments within @import statements in SCSS.
*  Fix a parsing performance bug where long decimals would occasionally take
   many minutes to parse.

Revision 1.9 / (download) - annotate - [select for diffs], Mon Dec 17 15:52:31 2012 UTC (6 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.8: +4 -4 lines
Diff to previous 1.8 (colored)

Update ruby-sass to 3.2.3.

3.2.3

* sass --watch no longer crashs when a file in a watched directory is deleted.
* Allow @extend within bubbling nodes such as @media.
* Fix various JRuby incompatibilities and test failures.
* Work around a performance bug that arises from using @extend with
  deeply-nested selectors.

3.2.2

* Add a --poll option to force sass --watch to use the polling backend to
  Listen.
* Fix some error reporting bugs related to @import.
* Treat protocol-relative URLs in @imports as static URLs, just like http and
  https URLs.
* Improve the error message for misplaced simple selectors.
* Fix an option-handling bug that was causing errors with the Compass URL
  helpers.
* Fix a performance issue with @import that only appears when ActiveSupport is
  loaded.
* Fix flushing of actions to stdout. Thanks to Russell Davis
  (http://github.com/russelldavis).
* Fix the documentation for the max() function.
* Fix a @media parsing bug.

  Deprecations -- Must Read!

* Sass will now print a warning when it encounters a single @import statement
  that tries to import more than one file. For example, if you have @import
  "screen" and both screen.scss and _screen.scss exist, a warning will be
  printed. This will become an error in future versions of Sass.

Revision 1.8 / (download) - annotate - [select for diffs], Sun Sep 16 13:36:19 2012 UTC (6 years, 8 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.7: +4 -4 lines
Diff to previous 1.7 (colored)

Update ruby-sass to 3.2.1.

Changes from 3.1.19 is too magy to write here, please refer:
<http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html>.

Revision 1.7 / (download) - annotate - [select for diffs], Sat Jun 2 01:19:59 2012 UTC (6 years, 11 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q2-base, pkgsrc-2012Q2
Changes since 1.6: +4 -4 lines
Diff to previous 1.6 (colored)

Update ruby-sass to 3.1.19.

Changes are unavailable.

Revision 1.6 / (download) - annotate - [select for diffs], Sun Apr 29 16:01:55 2012 UTC (7 years ago) by taca
Branch: MAIN
Changes since 1.5: +4 -4 lines
Diff to previous 1.5 (colored)

Update ruby-sass to 3.1.16.

3.1.16

* Fix some bugs in sass-convert selector parsing when converting from CSS.
* Substantially improve compilation performance on Ruby 1.8.
* Support the @-moz-document directives non-standard url-prefix and domain
  function syntax.
* Support the @supports directive.
* Fix a performance issue when using /*! */ comments with the Rails asset
  pipeline.
* Support -moz-element.
* Properly handle empty lists in sass-convert.
* Move from FSSM to Listen for file-system monitoring.

Revision 1.5 / (download) - annotate - [select for diffs], Sun Mar 18 05:12:51 2012 UTC (7 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.4: +4 -4 lines
Diff to previous 1.4 (colored)

Update ruby-sass to 3.1.15.

Exact changes are unknown.

Revision 1.4 / (download) - annotate - [select for diffs], Sat Dec 17 15:28:52 2011 UTC (7 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4
Changes since 1.3: +4 -4 lines
Diff to previous 1.3 (colored)

Update www/ruby-sass to 3.1.12.

3.1.12

* Compatibility with the mathn library (thanks to Thomas Walpole).
* Fix some infinite loops with mixins that were previously uncaught.
* Catch infinite @import loops.
* Fix a deprecation warning in sass --update and --watch (thanks to Marcel
  K¶ppen).
* Don make $important a special pre-initialized variable.
* Fix exponential parsing time of certain complex property values and
  selectors.
* Properly merge @media directives with comma-separated queries.
  E.g.

  	@media foo, bar { @media baz { ... } } now becomes
	@media foo and baz, bar and baz { ... }.

Revision 1.3 / (download) - annotate - [select for diffs], Fri Dec 16 13:57:15 2011 UTC (7 years, 5 months ago) by taca
Branch: MAIN
Changes since 1.2: +4 -4 lines
Diff to previous 1.2 (colored)

Update www/ruby-sass package to 3.1.11.

3.1.11

* Allow control directives (such as @if) to be nested beneath properties.
* Allow property names to begin with a hyphen followed by interpolation
  (e.g. -#{...}).
* Fix a parsing error with interpolation in comma-separated lists.
* Make --cache-store with with --update.
* Properly report ArgumentErrors that occur within user-defined functions.
* Don crash on JRuby if the underlying Java doesn support every Unicode
  encoding.
* Add new updated_stylesheet callback, which is run after each stylesheet has
  been successfully compiled. Thanks to Christian Peters.
* Allow absolute paths to be used in an importer with a different root.
* Don destructively modify the options when running
  Sass::Plugin.force_update.

Deprecations Must Read!

* The updating_stylesheet is deprecated and will be removed in a future
  release. Use the new updated_stylesheet callback instead.

3.1.10

* Fix another aspect of the 3.1.8 regression relating to +.

3.1.9

* Fix a regression in 3.1.8 that broke the + combinator in selectors.

* Deprecate the loud-comment flag when used with silent comments
  (e.g. //!). Using it with multi-line comments (e.g. /*!) still works.

3.1.8

* Deprecate parent selectors followed immediately by identifiers
  (e.g. &foo). This should never have worked, since it violates the rule of &
  only being usable where an element selector would.
* Add a --force option to the sass executable which makes --update always
  compile all stylesheets, even if the CSS is newer.
* Disallow semicolons at the end of @import directives in the indented syntax.
* Don error out when being used as a library without requiring fileutil.
* Don crash when Compass-style sprite imports are used with
  StalenessChecker (thanks to Matthias Bauer).
* The numeric precision of numbers in Sass can now be set using the
  --precision option to the command line. Additionally, the default number of
  digits of precision in Sass output can now be changed by setting
  Sass::Script::Number.precision to an integer (defaults to 3). Since this
  value can now be changed, the PRECISION constant in Sass::Script::Number has
  been deprecated. In the unlikely event that you were using it in your code,
  you should now use Sass::Script::Number.precision_factor instead.
* Don crash when running sass-convert with selectors with two commas in a
  row.
* Explicitly require Ruby >= 1.8.7 (thanks Eric Mason).
* Properly validate the nesting of elements in imported stylesheets.
* Properly compile files in parent directories with --watch and --update.
* Properly null out options in mixin definitions before caching them. This
  fixes a caching bug that has been plaguing some Rails 3.1 users.

Revision 1.2 / (download) - annotate - [select for diffs], Sat Aug 13 00:31:49 2011 UTC (7 years, 9 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.1: +4 -4 lines
Diff to previous 1.1 (colored)

Update www/ruby-sass package to 3.1.7.

3.1.6

* The option :trace_selectors can now be used to emit a full trace before each
  selector. This can be helpful for in-browser debugging of stylesheet imports
  and mixin includes. This option supersedes the :line_comments option and is
  superseded by the :debug_info option.
* Fix a bug where long @if/@else chains would cause exponential slowdown under
  some circumstances.

3.1.5

* Updated the vendored FSSM version, which will avoid segfaults on OS X Lion
  when using --watch.

3.1.4

* Sass no longer unnecessarily caches the sass options hash. This allows
  objects that cannot be marshaled to be placed into the options hash.

3.1.3

* Sass now logs message thru a logger object which can be changed to provide
  integration with other frameworks logging infrastructure.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Sun Jun 19 07:31:57 2011 UTC (7 years, 11 months ago) by taca
Branch: TNF
CVS Tags: pkgsrc-base, pkgsrc-2011Q2-base, pkgsrc-2011Q2
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Importing ruby-sass package version 3.1.2.  It is required by newer
ruby-compass pacakge.

# Sass

**Sass makes CSS fun again**. Sass is an extension of CSS3,
adding nested rules, variables, mixins, selector inheritance, and more.
It's translated to well-formatted, standard CSS
using the command line tool or a web-framework plugin.

Sass has two syntaxes. The new main syntax (as of Sass 3)
is known as "SCSS" (for "Sassy CSS"),
and is a superset of CSS3's syntax.
This means that every valid CSS3 stylesheet is valid SCSS as well.
SCSS files use the extension `.scss`.

The second, older syntax is known as the indented syntax (or just "Sass").
Inspired by Haml's terseness, it's intended for people
who prefer conciseness over similarity to CSS.
Instead of brackets and semicolons,
it uses the indentation of lines to specify blocks.
Although no longer the primary syntax,
the indented syntax will continue to be supported.
Files in the indented syntax use the extension `.sass`.


Revision 1.1 / (download) - annotate - [select for diffs], Sun Jun 19 07:31:57 2011 UTC (7 years, 11 months ago) by taca
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>